<?php
// $Id: pdatheme.admin.inc,v 1.4 2008/04/22 11:14:15 z0rac Exp $

function pdatheme_admin_settings() {
  $themes = system_theme_data();
  ksort($themes);
  $options = array();
  foreach ($themes as $theme) {
    $options[$theme->name] = $theme->name;
  }
  $form = array();
  $form['pdatheme_default'] = array(
    '#type' => 'select',
    '#title' => t('PDA theme'),
    '#default_value' => variable_get('pdatheme_default', 'garland'),
    '#options' => $options,
    '#description' => t('Choose which theme your site should be visited via PDA.')
  );
  $form['image'] = array(
    '#type' => 'fieldset',
    '#title' => t('Image settings')
  );
  $form['image']['pdatheme_image_max'] = array(
    '#type' => 'textfield',
    '#title' => t('Maximum dimensions'),
    '#default_value' => variable_get('pdatheme_image_max', 80),
    '#size' => 10,
    '#maxlength' => 3,
    '#description' => t('Maximum dimensions for images, in pixels.')
  );
  $form['image']['pdatheme_image_proxy'] = array(
    '#type' => 'checkbox',
    '#title' => t('Proxy for external images'),
    '#default_value' => variable_get('pdatheme_image_proxy', 0)
  );
  $form['#submit'][] = 'pdatheme_admin_settings_submit';
  return system_settings_form($form);
}

function pdatheme_admin_settings_submit($form_id, $form_state) {
  if ($form_state['values']['op'] == t('Reset to defaults') || $form_state['values']['pdatheme_image_max'] != variable_get('pdatheme_image_max', 80) || $form_state['values']['pdatheme_image_proxy'] != variable_get('pdatheme_image_proxy', 0)) {
    cache_clear_all('pdatheme:', 'cache', TRUE);
    cache_clear_all();
  }
}
